Detection APIs

Time-series change

Analyze change over time by comparing all Sentinel-1 scenes in a period.

POST /api/v1/detect/timeseries

Analyze changes in an area of interest across all Sentinel-1 scenes sharing a path/frame within a date range.

Supported satelliteSentinel-1 (GRD)
Typical runtimeDepends on scene count
Input patternpolygon + date_start + date_end only

Constraints

ConstraintValue
Polygon area50 km² (≈ 7 km × 7 km)
Date range3 years

Exceeding either constraint returns 400 VALIDATION_ERROR before any credits are consumed.

Request

curl -X POST https://api.spcsft.com/api/v1/detect/timeseries \
  -H "Authorization: Bearer sk_live_xxxxx" \
  -H "Content-Type: application/json" \
  -d '{
    "satellite_id": "sentinel-1",
    "polygon": "POLYGON((139.7 35.6, 139.8 35.6, 139.8 35.7, 139.7 35.7, 139.7 35.6))",
    "date_start": "2023-01-01",
    "date_end": "2026-03-01",
    "orbit_direction": "ascending"
  }'

Parameters

ParameterTypeRequiredDescription
satellite_idstringYesMust be "sentinel-1".
polygonstring (WKT)YesAOI polygon in EPSG:4326. ≤ 50 km².
date_startstring (YYYY-MM-DD)YesStart of the period.
date_endstring (YYYY-MM-DD)YesEnd of the period. ≤ 3 years after start.
orbit_direction"ascending" | "descending"NoFilter by orbit direction.

Next steps

On this page